<?php
session_start();
require("../database/dbConection.php");
$idUsuarioLogado    = $_SESSION['idUsuarioLogado'];
$dataHoraImpressao  = date("d/m/Y H:i");

$authorizationCode  = explode("##",base64_decode($_GET['authorization']));
$idPaciente         = $authorizationCode[0];
$senhaGerada        = $authorizationCode[1];
$tamanhoEtiqueta    = [79,150];
$stmPaciente        = $rsConexao->prepare("SELECT * FROM tb_paciente WHERE id_paciente='$idPaciente'");
$stmPaciente        ->execute();  
$rsPaciente         = $stmPaciente->fetch(PDO::FETCH_OBJ);
$nomePaciente       = mb_strtoupper($rsPaciente->nome_paciente);
$cnsPaciente        = mb_strtoupper($rsPaciente->cns_paciente);
$emailPaciente      = mb_strtolower($rsPaciente->email);
ob_start();

echo "<table class='tb_protocolo'>
  <tr>
    <td class='titulo_prefeitura'>
      PREFEITURA DE LAURO DE FREITAS<br>
      SECRETARIA MUNICIPAL DE SAÚDE<br>
      :: CENTRAL DE MARCAÇÃO ::
    </td>
  </tr>
</table><br>
<table class='tb_protocolo' style='margin-top:-15px'>
  <tr>
    <td class='dados_marcacao'>
      <font style='font-size:9pt; font-weight: bold;'>NOME:</font><br>
      <font style='font-size:9pt; font-weight: normal;'>
        $nomePaciente
      </font><br>
    </td>
  </tr>
  <tr>
    <td class='dados_marcacao'>
      <font style='font-size:9pt; font-weight: bold;'>CARTÃO SUS:</font><br>
      <font style='font-size:9pt; font-weight: normal;'>
        $cnsPaciente
      </font><br>
    </td>
  </tr>
</table><br>
<table class='tb_protocolo' style='margin-top:-15px'>
  <tr>
    <td class='titulo_prefeitura' style='background-color:#000; color:#fff'>
      SENHA DE ACESSO AO SITE<br>
      <font style='font-size:15pt'>
        $senhaGerada
      </font>
    </td>
  </tr>
</table><br>
<table class='tb_protocolo' style='margin-top:-15px'>
  <tr>
    <td class='titulo_prefeitura' style='border-bottom:0px; font-size:12pt'>
      :: INFORMAÇÃO IMPORTANTE::
    </td>
  </tr>
  <tr>
    <td style='bottom-top:0px; padding:5px; text-align:justify'>
      <font style='font-size:10pt'>
        Ao gerar esta senha, o sistema enviou um email com o título <b>Validar Senha de Acesso</b> para o email cadastrado solicitando validação do acesso. Somente após realizar a validação desta senha através do email enviado, é que será possível acessar o site para acompanhar suas solicitações.<br>
        <b>Não esqueça de conferir a pasta Lixo Eletrônico ( SPAM ) na sua Caixa de Email caso  o email não apareça na Caixa de Entrada.</b>
      </font>
    </td>
  </tr>
</table><br>
<table class='tb_protocolo' style='margin-top:-15px'>
  <tr>
    <td class='dados_marcacao' style='padding-top:5px; text-align:center'>      
      <font style='font-size:9pt; font-weight: normal;'>
        <b>ONDE CONSULTAR SOLICITAÇÕES:</b><br>
        http://regulacaomunicipal.pmlf.ba.gov.br<br><br>
      </font>
    </td>
  </tr>
</table>";


require_once '../../lib_sistemas/mpdf8/vendor/autoload.php';
$mpdf = new \Mpdf\Mpdf([
	'margin_left'   => 2,
	'margin_right'  => 2,
	'margin_top'    => 12,
	'margin_header' => 2.5,  
  'margin_bottom' => 2.5,
  'mode'          => 'utf-8',
  'default_font'  => 'tahoma',
  'format'        => $tamanhoEtiqueta
]);

$html = ob_get_clean();
$mpdf->mirrorMargins = 1;
$stylesheet = file_get_contents('relatorios/relatorio.css');
$mpdf->WriteHTML($stylesheet,1);

$header = "
  <table align='center' class='tb_protocolo'>
    <tr>
		  <td class='titulo_protocolo'>
        GERAÇÃO DE SENHA DE ACESSO
      </td>
    </tr>
    </table>";

$headerE = $header;
$footer = "<div style='font-size:5pt'>|$dataHoraImpressao|</div>";
$footerE = $footer;

$mpdf->SetHTMLHeader($header);
$mpdf->SetHTMLHeader($headerE,'E');
$mpdf->SetFooter($footer);
$mpdf->SetFooter($footerE,'E');
$mpdf->SetTitle('Senha de Acesso');
$mpdf->WriteHTML($html);
$mpdf->Output("SenhaSite$numeroCNS.pdf",'I');
exit;

?>